forked from AlexsLemonade/OpenPBTA-analysis
-
Notifications
You must be signed in to change notification settings - Fork 0
Commit
This commit does not belong to any branch on this repository, and may belong to a fork outside of the repository.
Add all Python packages (versioned!) to Dockerfile (AlexsLemonade#1008)
* Add requirements.txt for reference * consolidate python and add version numbers for everything * Add back setuptools at start * Add Cython to starting set * Add back EPN subtyping back to CI * print python package list for debugging * No really, use the right packages * Test a python check script * Test making the python package test fail * Revert "Test making the python package test fail" This reverts commit 8a221e6. * Make the python package test better * Add one more error check * Fix filename second time * Use tmp and clean up * One more failure check * Revert test & add docs * One more doc comment
- Loading branch information
Showing
5 changed files
with
204 additions
and
26 deletions.
There are no files selected for viewing
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,84 @@ | ||
appdirs==1.4.4 | ||
attrs==20.3.0 | ||
backcall==0.2.0 | ||
bleach==3.3.0 | ||
bx-python==0.8.8 | ||
certifi==2020.12.5 | ||
chardet==4.0.0 | ||
ConfigArgParse==1.4 | ||
CrossMap==0.3.9 | ||
cycler==0.10.0 | ||
Cython==0.29.15 | ||
datrie==0.8.2 | ||
decorator==4.4.2 | ||
defusedxml==0.7.1 | ||
docutils==0.16 | ||
entrypoints==0.3 | ||
gitdb==4.0.7 | ||
GitPython==3.1.14 | ||
idna==2.10 | ||
importlib-metadata==2.1.1 | ||
ipykernel==4.8.1 | ||
ipython==7.9.0 | ||
ipython-genutils==0.2.0 | ||
jedi==0.17.2 | ||
Jinja2==2.11.3 | ||
jsonschema==3.2.0 | ||
jupyter-client==6.1.12 | ||
jupyter-core==4.6.3 | ||
kiwisolver==1.1.0 | ||
MarkupSafe==1.1.1 | ||
matplotlib==3.0.3 | ||
mistune==0.8.4 | ||
mizani==0.5.4 | ||
nbconvert==5.6.1 | ||
nbformat==5.1.2 | ||
notebook==6.0.0 | ||
numpy==1.17.3 | ||
packaging==20.9 | ||
palettable==3.3.0 | ||
pandas==0.25.3 | ||
pandocfilters==1.4.3 | ||
parso==0.7.1 | ||
patsy==0.5.1 | ||
pexpect==4.8.0 | ||
pickleshare==0.7.5 | ||
plotnine==0.3.0 | ||
prometheus-client==0.9.0 | ||
prompt-toolkit==2.0.10 | ||
psutil==5.8.0 | ||
ptyprocess==0.7.0 | ||
pyarrow==0.16.0 | ||
pybedtools==0.8.1 | ||
pyBigWig==0.3.17 | ||
Pygments==2.8.1 | ||
pyparsing==2.4.5 | ||
pyreadr==0.2.1 | ||
pyrsistent==0.17.3 | ||
pysam==0.15.4 | ||
python-dateutil==2.8.1 | ||
pytz==2019.3 | ||
PyYAML==5.3.1 | ||
pyzmq==20.0.0 | ||
ratelimiter==1.2.0.post0 | ||
requests==2.25.1 | ||
rpy2==2.9.3 | ||
scikit-learn==0.19.1 | ||
scipy==1.3.2 | ||
seaborn==0.8.1 | ||
Send2Trash==1.5.0 | ||
six==1.14.0 | ||
smmap==4.0.0 | ||
snakemake==5.8.1 | ||
statsmodels==0.10.2 | ||
terminado==0.8.3 | ||
testpath==0.4.4 | ||
tornado==6.1 | ||
traitlets==4.3.3 | ||
tzlocal==2.0.0 | ||
urllib3==1.26.4 | ||
wcwidth==0.2.5 | ||
webencodings==0.5.1 | ||
widgetsnbextension==2.0.0 | ||
wrapt==1.12.1 | ||
zipp==1.2.0 |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,33 @@ | ||
#!/bin/bash | ||
|
||
set -e | ||
set -o pipefail | ||
|
||
# This script checks that all python files in the docker image match | ||
# requirements.txt | ||
|
||
# run from this file location but move up to root | ||
cd "$(dirname "${BASH_SOURCE[0]}")" | ||
cd .. | ||
|
||
req_diff=/tmp/package_diffs.txt | ||
|
||
## diff will exit code 1 with differences, so we need to pass true | ||
pip3 freeze | diff requirements.txt - > $req_diff || true | ||
|
||
# check if there are any differences in the file | ||
if [ -s $req_diff ] | ||
then | ||
cat $req_diff && rm $req_diff | ||
echo "Python packages do not match requirements.txt, please check." | ||
exit 1 | ||
fi | ||
|
||
# if the diffs file was not produced for some reason, we should be sure to fail the same way | ||
if [ ! -e $req_diff ] | ||
then | ||
pip3 freeze | diff requirements.txt - | ||
fi | ||
|
||
# clean up | ||
rm $req_diff |